Документы

Заметки
Expert level
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
List

API endpoint:

GET
https://brieflink.ru/api/v1/documents

Request example:

curl --location --request GET 'https://brieflink.ru/api/v1/documents' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameter
Тип
Описание
search
optional string
The search query.
search_by
optional string
Поиск по. Possible values are: name for Имя, result for Result. Defaults to: name.
template_id
optional integer
Filter by template ID. Possible values are: 1 for Свободный стиль, 2 for О нас, 3 for Реклама, 4 for Статья, 5 for Вступление блога, 6 for Blog outline, 7 for Заключение блога, 8 for Параграф блога, 9 for Пост блога, 10 for Секция блога, 11 for Blog talking points, 12 for Заголовок блога, 13 for Призыв к действию, 14 for Перепись контента, 15 for Краткое содержание, 16 for FAQ, 17 for Хэштеги, 18 for Заголовок, 19 for How it works, 20 for Мета-описание, 21 for Meta keywords, 22 for Миссия, 23 for Newsletter, 24 for Pain-Agitate-Solution, 25 for Параграф, 26 for Пресс-релиз, 27 for Social post, 28 for Social post caption, 29 for Startup ideas, 30 for Startup names, 31 for Подзаголовок, 32 for Отзыв, 33 for Твит, 34 for Твиттер-тред, 35 for Ценностное предложение, 36 for Описание видео, 37 for Video script, 38 for Теги видео, 39 for Название видео, 40 for Цель, 41 for Product sheet, 42 for Welcome email, 43 for Push notification, 44 for Blog listicle, 45 for Content grammar, 46 for Blog tags, 47 for Pros and cons, 48 for Google advertisement, 49 for Facebook advertisement, 50 for Job description, 51 for Review, 52 for Feature section, 53 for Ttranslate localization. Defaults to: freestyle.
favorite
optional boolean
Filter by favorite.
sort_by
optional string
Sort by. Possible values are: id for Date created, name for Имя. Defaults to: id.
sort
optional string
Сортировка. Possible values are: desc for По убыванию, asc for По возрастанию. Defaults to: desc.
per_page
optional int
Результатов на странице. Possible values are: 10, 25, 50, 100. Defaults to: 25.
Show

API endpoint:

GET
https://brieflink.ru/api/v1/documents/{id}

Request example:

curl --location --request GET 'https://brieflink.ru/api/v1/documents/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Store

API endpoint:

POST
https://brieflink.ru/api/v1/documents

Request example:

curl --location --request POST 'https://brieflink.ru/api/v1/documents' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'name={name}' \
--data-urlencode 'prompt={prompt}'
Parameter
Тип
Описание
name
required string
The template name.
prompt
required string
The instructions for the AI.
creativity
required float
The creative level of the result. Possible values are: 0 for Repetitive, 0.25 for Deterministic, 0.5 for Original, 0.75 for Creative, 1 for Imaginative. Defaults to: 0.5.
Update

API endpoint:

PUT PATCH
https://brieflink.ru/api/v1/documents/{id}

Request example:

curl --location --request PUT 'https://brieflink.ru/api/v1/documents/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'
Parameter
Тип
Описание
name
optional string
The template name.
result
optional string
The document result.
favorite
optional boolean
Whether the document is favorite or not.
Удалить

API endpoint:

DELETE
https://brieflink.ru/api/v1/documents/{id}

Request example:

curl --location --request DELETE 'https://brieflink.ru/api/v1/documents/{id}' \
--header 'Authorization: Bearer {api_key}'